Bug 1226494 - lz4-r130 is available
Summary: lz4-r130 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lz4
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-30 00:56 UTC by Upstream Release Monitoring
Modified: 2015-07-10 19:06 UTC (History)
3 users (show)

Fixed In Version: lz4-r130-1.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 20:14:21 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2015-05-30 00:56:46 UTC
Latest upstream release: r130
Current version/release in rawhide: r129-1.fc23
URL: https://github.com/Cyan4973/lz4

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-05-30 00:56:59 UTC
Failed to kick off scratch build.

spectool was unable to grab new sources

old source: lz4-7d182b816ace89d6d6d16b7aee376a9962a05caa.tar.gz
old sha256: 481dbd08a3bb932ab9d0e246a6d73916fc16585ea5969a60a59d40e7f08dbe7c

new source: ./lz4-7d182b816ace89d6d6d16b7aee376a9962a05caa.tar.gz
new sha256: 481dbd08a3bb932ab9d0e246a6d73916fc16585ea5969a60a59d40e7f08dbe7c

Comment 2 Ville Skyttä 2015-06-10 17:34:34 UTC
Updating to r130 across all branches is important; r129 breaks pipes without --no-sparse.

$ echo foo | lz4 > foo.lz4
$ lz4cat foo.lz4 
Error 68 : Skip error (end of block)
$ lz4 -dc foo.lz4 
Error 68 : Skip error (end of block)
$ lz4 -dc --no-sparse foo.lz4 
foo

https://github.com/Cyan4973/lz4/releases/tag/r130

Comment 3 Upstream Release Monitoring 2015-06-18 19:03:47 UTC
pjp's lz4-r130-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=659233

Comment 4 Fedora Update System 2015-06-18 19:26:26 UTC
lz4-r130-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lz4-r130-1.fc21

Comment 5 Fedora Update System 2015-06-18 19:27:38 UTC
lz4-r130-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/lz4-r130-1.el7

Comment 6 Fedora Update System 2015-06-18 19:29:51 UTC
lz4-r130-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/lz4-r130-1.fc22

Comment 7 Fedora Update System 2015-06-18 19:29:59 UTC
lz4-r130-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lz4-r130-1.el6

Comment 8 Fedora Update System 2015-06-18 19:30:07 UTC
lz4-r130-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lz4-r130-1.el5

Comment 9 Fedora Update System 2015-06-18 19:31:18 UTC
lz4-r130-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lz4-r130-1.fc20

Comment 10 Fedora Update System 2015-06-20 21:12:02 UTC
Package lz4-r130-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing lz4-r130-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6781/lz4-r130-1.el6
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-06-30 20:14:21 UTC
lz4-r130-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-07-08 17:00:20 UTC
lz4-r130-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-07-08 17:03:30 UTC
lz4-r130-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-07-08 17:05:00 UTC
lz4-r130-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-07-10 19:06:42 UTC
lz4-r130-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.